# TimelineMarkers(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``TimelineMarkers`(bpy_struct)

  Collection of timeline markers

  `new`(name, frame=1)

    Add a keyframe to the curve

    Parameters: | name (string, (never None)) – New name for the marker (not unique) frame (int in [-300000, 300000], (optional)) – The frame for the new marker
    Returns: | Newly created timeline marker
    Return type: | `TimelineMarker`

  `remove`(marker)

    Remove a timeline marker

    Parameters: | marker (`TimelineMarker`, (never None)) – Timeline marker to remove

  `clear`()

    Remove all timeline markers

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Scene.timeline_markers` |